﻿using UnityEngine;
using System.Collections;

public class PersistentData : MonoBehaviour {

	public int m_level = 1;

	// Use this for initialization
	void Start () {
		DontDestroyOnLoad(gameObject);
		if (GameObject.Find("PersistentData") != this.gameObject)
			Destroy (gameObject);
	}
	
	// Update is called once per frame
	void Update () {
		if (!GameObject.FindWithTag("result"))
			GetComponent<GUIText>().text = "Level " + m_level + " / 4";
		
		if (m_level > 4)
		{
			if (!GameObject.FindWithTag("result"))
				GetComponent<GUIText>().text = "Level 5 / 4 (final bonus challenge)";
		}

		if (m_level > 5)
		{
			GetComponent<GUIText>().text = "You beat the whole game!";
		}
	}
}
